Character Encoding Issue 

2014-11-04 04:26 - Hud Hood

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

The user using redmine enter character which is not supported on the server. The issue cannot be view as redmine complain about

character encoding problem. The log show the following message.

Started GET "/support/issues/5610" for 192.168.0.106 at 2014-11-04 11:11:38 +0800

Processing by IssuesController#show as HTML

Parameters: {"id"=>"5610"}

Current user: pakhri (id=5)

Rendered issues/_action_menu.html.erb (3.0ms)

Rendered issues/show.html.erb within layouts/base (87.1ms)

Completed 500 Internal Server Error in 132.3ms

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

78:

79:   <p><strong><%=l(:field_description)%></strong></p>

80:   <div class="wiki">

81:   <%= textilizable @issue, :description, :attachments => @issue.attachments >

82:   </div>

83: </div>

84: < end %>

app/views/issues/show.html.erb:81:in `_app_views_issues_show_html_erb__2740786986976008304_21310920'

app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

app/controllers/issues_controller.rb:125:in `show'

And the message entered is

There is logic deficiency in deriving the tier type for the same DIGI calls.  Based on my limited knowledge, we are deriving

destination_group based on Country + PSTN and Country + MOB. Assume we have a destination called xxxxxxx . Mobile xxxxxxx,

we will derive the destination group as JAMMOB. Now, I need to tagged this group to DIGI tier type. Similarly for xxxxxxx . Mobile

Others, I will derive the destination group as JAMMOB but I need to tagged this to NGE_TRA tier type. Additionally, for xxxxxxx .

PSTN, we will derive group as JAMPSTN and need to tagged them to NGE_TRA tier type. In the xxxxxxx . Mobile xxxxxxx and

xxxxxxx . Mobile Other scenario, based on current table structure, I will not be able to tagged them with different tier type. I have to

settle down with DIGI or NGE_TRA. This will not work well for onward reporting. Please look into this so that we can cover the

requirements.

After editing the message, and change the offending character, the issue can be displayed. The offending character is shown here as

the "." but on our server it is shown as " – ".

History

#1 - 2014-11-04 07:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2014-11-06 05:12 - Hud Hood

This is the information I got from ruby script/about

sh: 1: /usr/bin/svn: not found

sh: 1: darcs: not found

sh: 1: hg: not found
sh: 1: cvs: not found

sh: 1: bzr: not found

sh: 1: git: not found

Environment:

Redmine version                2.5.2.stable

Ruby version                   2.1.2-p95 (2014-05-08) [x86_64-linux-gnu]

Rails version                  3.2.19

Environment                    production

Database adapter               MySQL

SCM:

Filesystem

Redmine plugins:

no plugin installed

#3 - 2014-11-06 07:52 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

With ruby >= 1.9, your database adapter should be Mysql2, not Mysql.

Fix your config/database.yml
